> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List institutions

> Returns all institutions



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/institutions
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/institutions:
    get:
      tags:
        - institutions
      summary: List institutions
      description: List institutions - Banking
      operationId: TrioFoundationWeb.Banking.InstitutionController.index
      parameters:
        - description: Bank ISPB
          in: query
          name: ispb
          required: false
          schema:
            type: string
        - description: Bank Number
          in: query
          name: number
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponse'
          description: Participants
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    ListResponse:
      description: List participants response
      example:
        data:
          - display_name: 001 - 000000001 - Nome do Banco Ltda
            full_name: Nome do Banco Ltda
            id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
            ispb: '00000001'
            name: Nome do Banco
            number: '001'
      properties:
        data:
          items:
            $ref: '#/components/schemas/ParticipantSchema'
          type: array
      title: ListResponse
      type: object
    ParticipantSchema:
      description: A participant schema
      example:
        display_name: 001 - 000000001 - Nome do Banco Ltda
        full_name: Nome do Banco Ltda
        id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
        ispb: '00000001'
        name: Nome do Banco
        number: '001'
      properties:
        display_name:
          description: Participant Display Name
          type: string
        full_name:
          description: Participant Full Name
          type: string
        id:
          description: Participant ID
          type: string
        ispb:
          description: Participant ISPB
          type: string
        name:
          description: Participant name
          type: string
        number:
          description: Participant bank number
          type: string
      title: ParticipantSchema
      type: object

````